//智能装备
import request from "@/utils/request";
// const api = "/mosty-jcgl";
const api = "/mosty-api/mosty-jcgl";

// 下发
export function lssuedZnzb(data) {
  return request({
    url: api + '/tpjcglZnzb/xfZnzb',
    method: 'POST',
    data
  })
}

// 回退
export function RellBackZnzb(params) {
  return request({
    url: api + '/tpjcglZnzb/htZnzb',
    method: 'GET',
    params
  })
}
// 报损
export function ReportLossZnzb(params) {
  return request({
    url: api + '/tpjcglZnzb/bsZnzb',
    method: 'GET',
    params
  })
}

// 分页查询
export function getZnzb(params) {
  return request({
    url: api + '/tpjcglZnzb/getZnzb',
    method: 'GET',
    params
  })
}
//新增
export function addZnzb(data) {
  return request({
    url: api + '/tpjcglZnzb/addZnzb',
    method: "post",
    data
  })
}
//修改
export function putZnzb(data) {
  return request({
    url: api + '/tpjcglZnzb/editZnzb',
    method: "post",
    data
  })
}
//详情
export function infoZnzb(id) {
  return request({
    url: api + `/tpjcglZnzb/selectZbxq?id=${id}`,
    method: "get"
  })
}
//删除
export function delZnzb(data) {
  return request({
    url: api + `/tpjcglZnzb/deleteZnzb`,
    method: "post",
    data
  })
}
